CubicSDR-0.2.3-x86_64.AppImag

General discussions
daniel.aronovitch
Posts: 3
Joined: Wed May 09, 2018 1:10 pm

CubicSDR-0.2.3-x86_64.AppImag

Postby daniel.aronovitch » Wed May 23, 2018 3:00 pm

Hello,
When I try to launch the CubicSDR-0.2.3 image provided, I get that message:
/lib/x86_64-linux-gnu/libthai.so.0: version `LIBTHAI_0.1.25' not found (required by /usr/lib64/libpango-1.0.so.0)
but, when I do a
ldd /usr/lib64/libpango-1.0.so.0
linux-vdso.so.1 (0x00007ffc10153000)
libgobject-2.0.so.0 => /usr/lib64/libgobject-2.0.so.0 (0x00007fbb70ddc000)
libglib-2.0.so.0 => /usr/lib64/libglib-2.0.so.0 (0x00007fbb70ac4000)
libm.so.6 => /lib64/libm.so.6 (0x00007fbb70731000)
libthai.so.0 => /usr/local/lib64/libthai.so.0 (0x00007fbb70527000)
libfribidi.so.0 => /usr/lib64/libfribidi.so.0 (0x00007fbb7030b000)
libc.so.6 => /lib64/libc.so.6 (0x00007fbb6ff4d000)
libffi.so.7 => /usr/lib64/libffi.so.7 (0x00007fbb6fd43000)
libpcre.so.1 => /usr/lib64/libpcre.so.1 (0x00007fbb6fab6000)
libpthread.so.0 => /lib64/libpthread.so.0 (0x00007fbb6f897000)
/lib64/ld-linux-x86-64.so.2 (0x00007fbb71277000)
libdatrie.so.1 => /usr/lib64/libdatrie.so.1 (0x00007fbb6f68f000)
as you can see, libpango find libthai.
Any suggestions ?
Thanks
DA
Last edited by daniel.aronovitch on Thu Jan 01, 1970 12:00 am, edited 0 times in total.
Reason: No reason

sdrplay
Posts: 829
Joined: Wed Jan 07, 2015 7:58 am

Re: CubicSDR-0.2.3-x86_64.AppImag

Postby sdrplay » Wed May 23, 2018 3:11 pm

The best place to ask about CubicSDR issues is here:

https://github.com/cjcliffe/CubicSDR/issues

Best regards,

SDRplay Support

Reason: No reason

inchcombec
Posts: 1
Joined: Tue Jun 12, 2018 6:16 pm

Re: CubicSDR-0.2.3-x86_64.AppImag

Postby inchcombec » Tue Jun 12, 2018 6:19 pm

Try downloading the source code from here:

https://github.com/cjcliffe/CubicSDR/releases/tag/0.2.3

Then follow these install instructions:

cd CubicSDR
mkdir build
cd build
cmake ../ -DCMAKE_BUILD_TYPE=Release \
-DwxWidgets_CONFIG_EXECUTABLE=~/Dev/wxWidgets-staticlib/bin/wx-config
make
sudo make install

This worked for fixing it for me on an install of Linux Mint 18.3. Apparently the new CubicSDR versions don't play nice for some reason. Hope this helps.

**EDIT. If the cmake fails it might be because it assumes all is installed in /Dev. Point that last part to where you actually put wx-config. If you followed the standard instructions https://www.sdrplay.com/docs/SDRplay_no ... s_Flow.pdf that it is in /Dev.
Last edited by inchcombec on Thu Jan 01, 1970 12:00 am, edited 0 times in total.
Reason: No reason


Return to “General”

Who is online

Users browsing this forum: Bing [Bot] and 7 guests